[Orc Shaman Class Transfer]:
In order to become a Warcryer, the Orc Shaman must successfully complete three quests. The Trial of the Pilgrim may be undertaken by a player of level 35 or above. This quest begins by meeting with Hermit Santiago who in a farmhouse near the Orc Barracks in Gludio. The Testimony of Glory may be undertaken by a player of level 37 or above. This quest begins by meeting with Prefect Vokian of Giran Castle Town. Finally, the Test of the War Spirit may be undertaken by a player of level 39 or above. This quest begins by meeting with Seer Somak of Dion Castle Town.
Return
Close Window